- name: Installs Tekton
  async: 30
  k8s:
    definition: "{{ lookup('template', 'ocp-tekton.j2') }}"
  poll: 5
- include_role:
    name: commons
    tasks_from: helpers/rolebinding.yaml
  vars:
    rb_kind: ClusterRole
    rb_name: tkn:image-builder
    rb_role: system:image-builder
    rb_subject: "{{ pipeline_sa }}"
    rb_subjkind: ServiceAccount
- include_role:
    name: commons
    tasks_from: helpers/rolebinding.yaml
  vars:
    rb_kind: ClusterRole
    rb_name: tkn:deployer
    rb_role: edit
    rb_subject: "{{ pipeline_sa }}"
    rb_subjkind: ServiceAccount
